
/*
 * mojtd/net_interface.h
 *
 * 2003-02-03 Fredrik Roubert <d95fr@efd.lth.se>
 *
 * $Id: net_interface.h,v 1.1 2003/02/03 20:00:38 roubert Exp $
 *
 */

#ifndef NET_INTERFACE_H
#define NET_INTERFACE_H

#include "mojtd.h"

enum
{
	NETCOM_PORT = 1101
};

#if SIMULATED
# define NETCOM_ADDRESS "localhost"
#else
# define NETCOM_ADDRESS "hugo.dsek.lth.se"
#endif

#define NETCOM_WELCOME	"\r\nWelcome to Hugo, the famous blinkmojt!\r\n" \
			"Enter your message: "

#define NETCOM_OK	"Message received.\r\n\r\n"
#define NETCOM_EMPTY	"Message empty.\r\n\r\n"
#define NETCOM_FULL	"Message queue full.\r\n\r\n"
#define NETCOM_ERROR	"Internal error.\r\n\r\n"
#define NETCOM_BANNED	"\r\nYour IP number is banned.\r\nPlease write to " \
			"<root@hugo.dsek.lth.se> in order to solve this " \
			"problem.\r\n\r\n"

#define STRLEN(n) (sizeof (str_ ## n) - 1)

#endif

